Bug 699155 - systemd-tty-ask selinux problems
Summary: systemd-tty-ask selinux problems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-23 17:36 UTC by Andy Lutomirski
Modified: 2011-06-24 03:54 UTC (History)
1 user (show)

Fixed In Version: selinux-policy-3.9.16-30.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:54:45 UTC


Attachments (Terms of Use)

Description Andy Lutomirski 2011-04-23 17:36:53 UTC
I get this when systemd asks for my LUKS password:

[   85.364519] type=1400 audit(1303575529.811:4): avc:  denied  { read } for  pid=645 comm="systemd-tty-ask" name="4:1" dev=tmpfs ino=8565 scontext=system_u:system_r:systemd_passwd_agent_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=fifo_file
[   85.377846] type=1400 audit(1303575529.824:5): avc:  denied  { open } for  pid=645 comm="systemd-tty-ask" name="4:1" dev=tmpfs ino=8565 scontext=system_u:system_r:systemd_passwd_agent_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=fifo_file
[   87.522448] type=1400 audit(1303575531.970:6): avc:  denied  { signull } for  pid=995 comm="systemd-tty-ask" scontext=system_u:system_r:systemd_passwd_agent_t:s0 tcontext=system_u:system_r:lvm_t:s0 tclass=process

audit2allow fixes it and makes my system come a little closer to booting without help.

This is after a full relabel.  I'm on F15, up to date as of today, with everything in -testing installed as well (because my system is ususable without some other fixes in there.)

Comment 1 Daniel Walsh 2011-04-25 14:37:25 UTC
Fixed in selinux-policy-3.9.16-16.fc15

Comment 2 Fedora Update System 2011-06-10 10:50:24 UTC
selinux-policy-3.9.16-29.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15

Comment 3 Fedora Update System 2011-06-11 04:29:40 UTC
Package selinux-policy-3.9.16-29.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-29.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-21 17:31:42 UTC
Package selinux-policy-3.9.16-30.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-30.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-06-24 03:53:12 UTC
selinux-policy-3.9.16-30.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.